Zum Hauptinhalt springen
GET
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
blueprints
/
{blueprint_id}
/
files
Blueprint-Dateien auflisten
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}/files \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "blueprint_id": "<string>",
      "created_at": 123,
      "env_var_name": "<string>",
      "file_id": "<string>",
      "name": "<string>",
      "size_bytes": 123,
      "updated_at": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.devin.ai/llms.txt

Use this file to discover all available pages before exploring further.

Berechtigungen

Erfordert einen Service-Benutzer mit der Berechtigung ManageRepoBlueprints auf Ebene der Organisation.

Autorisierungen

Authorization
string
header
erforderlich

Servicebenutzer-Anmeldedaten (Präfix: cog_)

Pfadparameter

blueprint_id
string
erforderlich

Antwort

Erfolgreiche Antwort

Listen-Envelope für Blueprint-Dateien.

data
BlueprintFile · object[]
erforderlich